mwText {manipulateWidget} | R Documentation

## Add a text input to a manipulateWidget gadget

### Description

Add a text input to a manipulateWidget gadget

### Usage

    mwText(value = "", label = NULL, ..., .display = TRUE)

### Arguments

`value` | Initial value of the text input.
`label` | Display label for the control. If `NULL`, the name of the corresponding variable is used.
`...` | Other arguments passed to function`textInput`
`.display` | expression that evaluates to TRUE or FALSE, indicating when the input control should be shown/hidden.

### Value

A function that will generate the input control.

### See Also

Other controls: `mwCheckboxGroup`, `mwCheckbox`, `mwDateRange`, `mwDate`, `mwGroup`, `mwNumeric`, `mwPassword`, `mwRadio`, `mwSelectize`, `mwSelect`, `mwSharedValue`, `mwSlider`

### Examples

    if (require(plotly)) {
      mydata <- data.frame(x = 1:100, y = rnorm(100))
      manipulateWidget({
          plot_ly(mydata, x=~x, y=~y, type = "scatter", mode = "markers") %>%
            layout(title = mytitle)
        },
        mytitle = mwText("Awesome title !")
      )
    }

[Package manipulateWidget version 0.10.0 Index]